Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.pmapi
Interface TDocumentInfo

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  TDocumentInfoImpl

    public interface TDocumentInfo

extends org.apache.xmlbeans.XmlObject

An XML tDocumentInfo(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

Nested Class Summary
`static class` | `TDocumentInfo.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`java.lang.String` | `getName()` Gets the "name" element
`java.lang.String` | `getSource()` Gets the "source" element
`java.lang.String` | `getType()` Gets the "type" element
`void` | `setName(java.lang.String name)` Sets the "name" element
`void` | `setSource(java.lang.String source)` Sets the "source" element
`void` | `setType(java.lang.String type)` Sets the "type" element
`org.apache.xmlbeans.XmlString` | `xgetName()` Gets (as xml) the "name" element
`org.apache.xmlbeans.XmlAnyURI` | `xgetSource()` Gets (as xml) the "source" element
`org.apache.xmlbeans.XmlAnyURI` | `xgetType()` Gets (as xml) the "type" element
`void` | `xsetName(org.apache.xmlbeans.XmlString name)` Sets (as xml) the "name" element
`void` | `xsetSource(org.apache.xmlbeans.XmlAnyURI source)` Sets (as xml) the "source" element
`void` | `xsetType(org.apache.xmlbeans.XmlAnyURI type)` Sets (as xml) the "type" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getName

    java.lang.String getName()

  Gets the "name" element

### xgetName

    org.apache.xmlbeans.XmlString xgetName()

  Gets (as xml) the "name" element

### setName

    void setName(java.lang.String name)

  Sets the "name" element

### xsetName

    void xsetName(org.apache.xmlbeans.XmlString name)

  Sets (as xml) the "name" element

### getType

    java.lang.String getType()

  Gets the "type" element

### xgetType

    org.apache.xmlbeans.XmlAnyURI xgetType()

  Gets (as xml) the "type" element

### setType

    void setType(java.lang.String type)

  Sets the "type" element

### xsetType

    void xsetType(org.apache.xmlbeans.XmlAnyURI type)

  Sets (as xml) the "type" element

### getSource

    java.lang.String getSource()

  Gets the "source" element

### xgetSource

    org.apache.xmlbeans.XmlAnyURI xgetSource()

  Gets (as xml) the "source" element

### setSource

    void setSource(java.lang.String source)

  Sets the "source" element

### xsetSource

    void xsetSource(org.apache.xmlbeans.XmlAnyURI source)

  Sets (as xml) the "source" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD